These are chat archives for angular/angular-2-ionic-2

4th
May 2017
Vartan
@vartana
May 04 2017 01:28
how can I read the input from a usb keyboard?
vinod
@vinodhum
May 04 2017 02:21
@kkrishnan90 yes that is correct, I tried importing in app.scss but it say cannot find that file
Damon Casale
@damoncasale
May 04 2017 04:14
Evening folks...
Getting a weird error. "emitter.subscribe is not a function". I narrowed it down to the custom validator I'm attempting to implement.
I have a nested form group, "mismatchedPasswords", that passes in:
mismatchedPasswords: formBuilder.group({
password: ['', Validators.minLength(6), Validators.required],
confirmPassword: ['', Validators.required]
}, {validator: signupValidators.matchPassword})
But for some reason I'm getting that error. Help?
zfireear
@zfireear
May 04 2017 10:23
Hello,Everyone I have a question.I have set andriod home environment,but I always get the error "Android SDK not found. Make sure that it is installed. If it is not at the default location, set the ANDROID_HOME environment variable."what should I do?
A-STAR
@A-STAR
May 04 2017 10:28
Are you on Windows?
zfireear
@zfireear
May 04 2017 10:28
linux
A-STAR
@A-STAR
May 04 2017 10:29
so set android home
zfireear
@zfireear
May 04 2017 10:30
I have set it
A-STAR
@A-STAR
May 04 2017 10:30
like restart
))
zfireear
@zfireear
May 04 2017 10:33
yes,I also have tried it .
A-STAR
@A-STAR
May 04 2017 10:34
there're command to set env variables and print them
print and check what you have there
Ionic has Slack channel also
ionicankit
@ionicankit
May 04 2017 11:48
ERROR in ./~/ng2-webcam/lib/fallback/jscam.swf
Module parse failed: E:\idapril-2-5\node_modules\ng2-webcam\lib\fallback\jscam.swf Unexpected character ' (1:3)
You may need an appropriate loader to handle this file type.
Crystal R Williams
@CORT0619
May 04 2017 15:21
does anyone know how to set a reactive form to invalid? I've tried this.formName.invalid = true and it doesn't work. any ideas?
Damon Casale
@damoncasale
May 04 2017 17:04
Hey gang. Just tried to update to the latest version of ionic 2 and having issues.
Is ionic-angular still being used?
It's complaining that it wants peers of @angular/foo@4.0.2, but the ionic Github has a package.json that lists @angular/foo dependencies at 4.1.0. What gives?
Damon Casale
@damoncasale
May 04 2017 17:28
Anyone alive in here?
John Edwards
@javajohnHub
May 04 2017 17:29
Im not
Jspenc72
@jspenc72
May 04 2017 17:29
Mr neither
I haven't attempted to update to latest yet.
Will be taking that challenge on over this weekend tho... So any gotchas shared here will be helpful.
UncertaintyP
@UncertaintyP
May 04 2017 17:47
I always end up using working examples of a package.json so you may consider this one which is using angular 4 https://github.com/driftyco/ionic/blob/develop/package.json but you may also consider updating to ionic 3 for an angular 4 build
Damon Casale
@damoncasale
May 04 2017 17:54
I actually did update to Ionic 3.
Still getting typescript errors tho.
Damon Casale
@damoncasale
May 04 2017 18:28
Still getting errors and really need help.
TypeScript error: /Users/user/lenz/node_modules/@angular/common/src/directives/ng_for_of.d.ts(18,14): Error TS1005: '=' expected.
Why am I getting Typescript errors IN ANGULAR?? -_-
Nathan Vu
@NathanVu
May 04 2017 19:31
how do I set a condition to only display 3 players by using javascript/angular? We're using ionic for the mobile side. Please help!